import AuthService from '../auth-service';

/**
 * 单位机构权限服务对象基类
 *
 * @export
 * @class IBZOrganizationAuthServiceBase
 * @extends {AuthService}
 */
export default class IBZOrganizationAuthServiceBase extends AuthService {

    /**
     * Creates an instance of  IBZOrganizationAuthServiceBase.
     * 
     * @param {*} [opts={}]
     * @memberof  IBZOrganizationAuthServiceBase
     */
    constructor(opts: any = {}) {
        super(opts);
    }

    /**
     * 根据当前数据获取实体操作标识
     *
     * @param {string} name 实体名称
     * @returns {Promise<any>}
     * @memberof IBZOrganizationAuthServiceBase
     */
    public async getOPPrivs(data:any):Promise<any>{
        return null;
    }

}